# mbmsg - Message Base Maintenance

###

SYNOPSIS

mbmsg [commands] <options>

###

DESCRIPTION

mbmsg is the message base maintenance program for mbsebbs. In order to run mbmsg you must have started mbsed, this is the deamon which controls all bbs activities.

The main purpose of mbmsg is to link messages after tossing mail, and to maintain the size of the message bases and the age of the messages. The best way to do the maintenance is to run mbmsg from the crontab. example:
`30 05 * * * export MBSE_ROOT=/bbs; /bbs/bin/mbmsg kill pack link -quiet`

###

ENVIRONMENT

In order to run mbmsg you must set the global variable $MBSE_ROOT. This variable must point to the root directory of the bbs structure. The main configuration file config.data must be present in the ~/etc directory.

###

COMMANDS

mbmsg commandline options:

link - Link all messages by subject ignoring Re: in the subject lines. You should run this after tossing mail.

kill - Kill messages in areas that have the age set or the maximum messages set. A setting of 0 is ignored. The messages are not removed from the message base, they are only marked as deleted.

pack - This command actualy removes the messages who have the deleted flag set. The lastread pointers are updated and the messages renumbered. After this command there is no way you can recover your messages, except from backups.

###

OPTIONS

mbmsg options:

-area<key> - Process only one area <key>.

-quiet - Quiet mode, no screen output. Use this switch if you run mbmsg from the crontab.

###

BUGS

If you find any bugs, mispelled documentation etc, please contact the author: Michiel Broek at 2:2801/16@Fidonet or Michiel_Broek@f16.n2801.z2.fidonet.org

Back to index Back to Main index